@ECHO OFF&TITLE 绿化
@ECHO 西西软件园 www.cr173.com
taskKill /f /im PPS*>NUL 2>NUL
md  "%AppData%\PPStream"  2>NUL 
rd/s/q "%AppData%\PPStream\adsys"2>NUL
rd/s/q "%AppData%\PPStream\banner"2>NUL
rd/s/q "%AppData%\PPStream\notice"2>NUL
del "%AppData%\PPStream\P*.ini">NUL 2>NUL
echo.[Main]>>"%AppData%\PPStream\PPStream.ini"2>NUL
echo.[WMP8]>>"%AppData%\PPStream\powerplayer.ini"2>NUL
echo.fixed=1 >>"%AppData%\PPStream\powerplayer.ini"2>NUL
echo.Allinone=0 >>"%AppData%\PPStream\PPStream.ini"2>NUL
echo.ExitAction=2 >>"%AppData%\PPStream\PPStream.ini"2>NUL
xcopy /s /y /i Codec "%AppData%\PPStream\Codec" >NUL 2>NUL
regsvr32 /s ugcc.dll LPlayer.dll Livenet2.dll Livenet3.dll 
regsvr32 /s Vodnet.dll Vodres.dll l Pfvplayer.dll PPSimage.dll
regsvr32 /s PPSmb.dll PPSLogin.dll PowerList.ocx PowerPlayer.dl
reg add HKCU\Software\PPStream\Main /v Allinone /t REG_DWORD /d 0 /F>NUL
reg add HKCU\Software\PPStream\Main /v ExitAction /t REG_DWORD /d 2 /F>NUL
:Menu
echo.&echo 1.显示右侧资讯导航[自选]  2.隐藏右侧资讯导航[默认]             
echo.&echo 3.启用本地列表功能[自选]  4.禁用本地列表功能[默认]       
echo.&echo.
set /p a=输入数字回车：
if "%a%"=="1" Goto ShowRight
if "%a%"=="2" Goto HideRight
if "%a%"=="3" Goto AddMediaList
if "%a%"=="4" Goto DelMediaList
:AddMediaList
regsvr32 /s MediaList.ocx UGCUpload.dll    &SET E=完成!&Goto MsgBox
:DelMediaList
regsvr32 /s /u MediaList.ocx UGCUpload.dll &SET E=完成!&Goto MsgBox
:ShowRight
del "%AppData%\PPStream\PPStream.ini"   >NUL 2>NUL
echo.[Main]>"%AppData%\PPStream\PPStream.ini"2>NUL
echo.ExitAction=2 >>"%AppData%\PPStream\PPStream.ini"2>NUL
reg delete HKCU\Software\PPStream\Main /v Allinone /F>NUL 2>NUL&SET E=完成!&Goto MsgBox
:HideRight
echo.[Main]>"%AppData%\PPStream\PPStream.ini"2>NUL
echo.Allinone=0 >>"%AppData%\PPStream\PPStream.ini"2>NUL
echo.ExitAction=2 >>"%AppData%\PPStream\PPStream.ini"2>NUL
reg add HKCU\Software\PPStream\Main /v Allinone /t REG_DWORD /d 0 /F>NUL
reg add HKCU\Software\PPStream\Main /v ExitAction /t REG_DWORD /d 2 /F>NUL&SET E=完成!&Goto MsgBox
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)&Cls&Goto Menu